#
# spec file for package python-entrypoint2
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
Name:           python-entrypoint2
Version:        0.2
Release:        bp153.1.15
Summary:        Command-line interface for python modules
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/ponty/entrypoint2
Source:         https://github.com/ponty/entrypoint2/archive/%{version}.tar.gz#/entrypoint2-%{version}.tar.gz
# https://github.com/ponty/entrypoint2/pull/6
Patch0:         remove_nose.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module EasyProcess}
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module decorator}
BuildRequires:  %{python_module entrypoint2 = %{version}}
BuildRequires:  %{python_module path.py}
BuildRequires:  %{python_module pytest}
%endif
%python_subpackages

%description
entrypoint2 is a command-line interface for python modules, forked
off entrypoint.

%prep
%setup -q -n entrypoint2-%{version}
%patch0 -p1
# argparse is py2.6 or older
sed -i -e '/argparse/d' requirements.txt

%if !%{with test}
%build
%python_build
%endif

%if !%{with test}
%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%if %{with test}
%check
%pytest tests/test.py
%endif

%if !%{with test}
%files %{python_files}
%license LICENSE.txt
%doc README.rst
%{python_sitelib}/*
%endif

%changelog
* Fri Mar 27 2020 Paolo Stivanin <info@paolostivanin.com>
- Use pytest instead of nose
- Add remove_nose.patch
* Mon Mar  2 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to version 0.2
  * remove py34 support
  * drop py35, add py38
  * few docs and test fixes
- Launch tests using multibuild
* Fri Aug 10 2018 tchvatal@suse.com
- Drop python-argparse dependency that is not needed
* Tue Sep  5 2017 jengelh@inai.de
- Ensure neutrality of description.
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sun Jan 13 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Jun 15 2012 os-dev@jacraig.com
- Update to 0.0.6.  Upstream provides no changelog, but looking at the (4)
  commits on github since 0.0.5, I see these changes:
  * Update documentaiton
  * Support repeated arguments
  * Use PEP8 formatting
- Add Requires entries for python-argparse and -decorator
* Mon Mar 26 2012 saschpe@suse.de
- Initial version
